stages:
    - publish

.node: &node
  image: jitesoft/node-yarn:14-slim
  tags:
    - redshift

before_script:
  - yarn

cache:
  paths:
    - node_modules/

pages:
  <<: *node
  stage: publish
  script:
    - yarn generate
    - mv dist public
  artifacts:
    untracked: true
    paths:
      - public
  allow_failure: true
  only:
    - master
